/*
 * Copyright 2021 Nilanjan Daw, Synerg Lab, Department of CSE, IIT Bombay
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package HpdosClient.lib;

import com.google.common.util.concurrent.ListenableFuture;
import hpdos.grpc.Packet;

public class StorageHandler {
    private boolean isResultReady;
    private Packet packet;
    private ListenableFuture<Packet> listener;

    public StorageHandler(boolean isResultReady, Packet packet, ListenableFuture<Packet> listener) {
        this.isResultReady = isResultReady;
        this.packet = packet;
        this.listener = listener;
    }

    public boolean isResultReady() {
        return isResultReady;
    }

    public void setResultReady(boolean resultReady) {
        isResultReady = resultReady;
    }

    public Packet getPacket() {
        return packet;
    }

    public void setPacket(Packet packet) {
        this.packet = packet;
    }

    public ListenableFuture<Packet> getListener() {
        return listener;
    }

    public void setListener(ListenableFuture<Packet> listener) {
        this.listener = listener;
    }
}
